Bug 69050 - system lockup from vim in userspace
system lockup from vim in userspace
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-17 11:21 EDT by ellson
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-17 21:59:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ellson 2002-07-17 11:21:30 EDT
Description of Problem:
Running /usr/bin/vim in a user account results in a total
system lockup.

Does not happen with kernel-2.4.18-5.64
Does not happen with /usr/bin/vi

strace shows that vim died in a call to "sysinfo("

gdb reports a {New thread...]  then locks up.

Version-Release number of selected component (if applicable):
kernel-2.4.18-5.69
vim-enhanced-6.1-8


How Reproducible:
100%

Steps to Reproduce:
1. /usr/bin/vim
2. 
3. 

Actual Results:
total system hang

Expected Results:
no user space application should ever be able to hang the system

Additional Information:
Comment 1 Bill Nottingham 2002-07-17 21:44:34 EDT
Fixed in 2.4.18-5.73 or later.
Comment 2 ellson 2002-07-17 21:59:30 EDT
confirmed fixed in 2.4.18-5.73

rawhide is looking spectacular tonight :-)
Comment 3 Brian Brock 2002-07-18 15:00:28 EDT
bug confirmed in kernel-2.4.18-5.69, fix confirmed in kernel-2.4.18-5.73 and
kernel-2.4.8-5.74.

Resolving as fixed in RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.